精华内容
下载资源
问答
  • 安装w3af

    2019-06-30 21:52:41
    1.在官网下载w3af源码: git clone --depth 1 https://github.com/andresriancho/w3af.git 2.安装npm,需要安装版本(4、6、8)。不要用apt安装,版本太高。 wget ...

     

    1.在官网下载w3af源码:

    git clone --depth 1 https://github.com/andresriancho/w3af.git
    

    2.安装npm,需要安装版本(4、6、8)。不要用apt安装,版本太高。

    wget https://nodejs.org/dist/v8.11.3/node-v8.11.3.tar.gz
    tar -xzf node-v8.11.3.tar.gz
    cd node-v8.11.3
    ./configure
    make
    make install

    3.安装pip

    sudo apt-get install python-pip

    4.安装lxml

    sudo apt-get install python-dev libxml2-dev libxslt1-dev zlib1g-dev
    sudo pip install lxml

    5.运行w3af环境安装脚本

    sudo bash /tmp/w3af_dependency_install.sh

     

    展开全文
  • kali安装w3af

    2019-02-16 01:48:15
    安装w3af的时候 python 2.7安装某些包出现错误:"libxml/xmlversion.h:没有那个文件或目录" 如下  /tmp/pip-install-uD2Oon/lxml/src/lxml/includes/etree_defs.h:14:10: fatal error: libxml/xml...

    安装w3af的时候

    python 2.7安装某些包出现错误:"libxml/xmlversion.h:没有那个文件或目录"

    如下

     /tmp/pip-install-uD2Oon/lxml/src/lxml/includes/etree_defs.h:14:10: fatal error: libxml/xmlversion.h: 没有那个文件或目录
         #include "libxml/xmlversion.h"
                  ^~~~~~~~~~~~~~~~~~~~~
        compilation terminated.
        error: command 'x86_64-linux-gnu-gcc' failed with exit status 1
        
        ----------------------------------------
      Can't roll back lxml; was not uninstalled
    Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-uD2Oon/lxml/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-9P4yKF/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-uD2Oon/lxml/
    解决:

    首先:

    1 apt-get install libxml2-dev
    2 sudo ln -s /usr/include/libxml2/libxml   /usr/include/libxml

    然后:

    1 apt-get install libxslt-dev
    展开全文
  • kali2安装w3af指南

    千次阅读 2018-10-08 20:32:28
    kali2安装w3af指南 1.更新源 (1)查看版本信息,编辑源文件 (2)在sources.list中添加如下: #浙大 deb http://mirrors.zju.edu.cn/kali kali-rolling main contrib non-free deb-src ...

    kali2安装w3af指南

    1.更新源

    (1)查看版本信息,编辑源文件

    (2)在sources.list中添加如下:

    #浙大

    deb http://mirrors.zju.edu.cn/kali kali-rolling main contrib non-free

    deb-src http://mirrors.zju.edu.cn/kali kali-rolling main contrib non-free

    #官方源

    deb http://http.kali.org/kali kali-rolling main non-free contrib

    deb-src http://http.kali.org/kali kali-rolling main non-free contrib

    (3)apt-get update

    2.下载w3af

    cd /usr/local/src

    git clone https://github.com/andresriancho/w3af.git

    由于网速慢,直接去浏览器下载,然后复制到此目录下。

    3.安装python-pybloomfiltermmap

    apt install  python-pybloomfiltermmap

    可以看到python-pybloomfiltermmap版本为0.3.15。

    4.修改文件并执行w3af_gui

    (1)修改requirements.py文件和mac.py文件,并且执行w3af_gui

    修改requirements.py文件

    修改mac.py文件

    (2)执行w3af_gui后,可以看到需要安装的依赖,并生成了脚本:

    /tmp/w3af_dependency_install.sh

    执行此脚本后,发现了successfully,有一个错误,这是由于没有安装npm,后面安装。

    5.执行w3af_console

    (1)执行w3af_console,安装npm

    (2)安装retire

    (3)再次执行w3af_console

    6.执行w3af_gui

    (1)执行w3af_gui后,按照提示安装 graphviz,提示需要安装graphviz包。

    (2)再次执行w3af_gui,提示no module named webkit

    7.安装webkit

    (1)下载webkit以及依赖

    wget http://ftp.br.debian.org/debian/pool/main/p/pywebkitgtk/python-webkit_1.1.8-3_amd64.deb

    wget http://ftp.br.debian.org/debian/pool/main/w/webkitgtk/libjavascriptcoregtk-1.0-0_2.4.11-3_amd64.deb

    wget http://ftp.br.debian.org/debian/pool/main/w/webkitgtk/libwebkitgtk-1.0-0_2.4.11-3_amd64.deb

    wget http://ftp.br.debian.org/debian/pool/main/p/python-support/python-support_1.0.15_all.deb

    (2)安装依赖和软件包

    dpkg -i libjavascriptcoregtk-1.0-0_2.4.11-3_amd64.deb

    dpkg -i python-support_1.0.15_all.deb

    dpkg -i libwebkitgtk-1.0-0_2.4.11-3_amd64.deb

    dpkg -i python-webkit_1.1.8-3_amd64.deb

    (3)安装libwebkitgtk依赖

    在(2)中安装libwebkitgtk-1.0-0_2.4.11-3_amd64.deb时会报错,这是因为缺乏依赖,按照提示安装完成后,就可以成功执行(2)中所有命令。

    8.安装完成

    执行命令:./w3af_gui

     

    展开全文
  • kali 2020 安装w3af

    千次阅读 2020-10-06 18:34:05
    w3af 官网http://w3af.org/download 官网文档http://docs.w3af.org/en/latest/install.html 一、先决条件 开始安装之前,请确保已准备好以下软件: Git客户端:sudoapt-getinstallgit Python 2.7,在大多数...

    w3af 官网http://w3af.org/download

    官网文档http://docs.w3af.org/en/latest/install.html

     

    一、先决条件

    开始安装之前,请确保已准备好以下软件:

    • Git客户端: sudo apt-get install git
    • Python 2.7,在大多数系统中默认安装
    • 点子版本1.1: sudo apt-get install python-pip

    二 、按照官网进行下载

    cd  /usr/src 

    git clone https://github.com/andresriancho/w3af.git
    cd w3af/
    ./w3af_console
    
    按照提示进行安装
     pip install pyClamd==0.4.0 PyGithub==1.21.0 GitPython==2.1.15 pybloomfiltermmap==0.3.14 phply==0.9.1 nltk==3.0.1 tblib==0.2.0 pdfminer==20140328 futures==3.2.0 pyOpenSSL==18.0.0 ndg-httpsclient==0.4.0 lxml==3.4.4 scapy==2.4.0 guess-language==0.2 cluster==1.1.1b3 msgpack==0.5.6 python-ntlm==1.0.1 halberd==0.2.4 darts.util.lru==0.5 Jinja2==2.10 vulndb==0.1.1 markdown==2.6.1 psutil==5.4.8 ds-store==1.1.2 termcolor==1.1.0 mitmproxy==0.13 ruamel.ordereddict==0.4.8 Flask==0.10.1 PyYAML==3.12 tldextract==1.7.2 pebble==4.3.8 acora==2.1 esmre==0.3.1 diff-match-patch==20121119 bravado-core==5.15.0 lz4==1.1.0 vulners==1.3.0 ipaddresses==0.0.2
    
    长时间等待
    
    安装过程中可能遇到错误,可以先忽略
    执行 . /tmp/w3af_dependency_install.sh

    长时间等待

    根据错误提示进行针对性安装,个人遇到问题是:pyrsistent 报错,提示应该安装在python3.5版本之上,python2.7不能安装。根据在安装过程中的错误提示,下载下来安装离线包

    1、wget https://pypi.tuna.tsinghua.edu.cn/packages/7d/ae/90ddcf28fb8eee5d4990920586d2856342e42faa95f39223f0b9762ef264/pyrsistent-0.17.2.tar.gz
    2、tar -xzvf pyrsistent-0.14.2.tar.gz
    3、cd pyrsistent-0.17.2/
    4、python2 setup.py install

    手动安装好后,再次执行
    ./w3af_console 
    等待,看是否还有错误提示,如果没有提示,根据提示输入y,w3af安装成功

    个人在第二次执行./w3af_console 是,再次报错,再次执行/tmp/w3af_dependency_install.sh,根据错误提示,错误还是pyrsistent,提示版本0.17.3不能安装在python2,需要按照pyrsistent-0.14.0

    pip list | grep pyrsistent
    pip uninstall pyrsistent  移除pyrsistent-0.17.3
    pip install  pyrsistent==0.14.0 

    再次执行./w3af_console 

    安装成功。

     

     

    展开全文
  • Win10下安装w3af

    千次阅读 2018-06-29 16:35:47
    1、首先利用windows linux子系统安装kail,进而安装w3af扫描器——失败  Windows下子系统是一个简化的系统,不能按照网上的方法进行安装,没有找到相应方法放弃。 2、选择使用docker直接镜像w3af——成功  (1...
  • kali2020.1a安装w3af

    千次阅读 2020-03-12 23:37:50
    安装w3af 安装全程建议科学上网 一、 本次安装环境 Linux kali 5.4.0-kali4-amd64 #1 SMP Debian 5.4.19-1kali1 (2020-02-17) x86_64 GNU/Linux 二、 安装python包管理环境 apt install python-pip 三、 安装NPM包...
  • 在网上搜索w3af安装指南的过程中,发现现有指南已经不适用于2018年至之后的许多kali linux版本,因此在这里更新一下安装指南,为大家排坑的同时,抛砖迎玉,欢迎讨论。
  • 1、在kali linux 下安装w3af 会出现很多问题,因为新版的kaliLinux ,以及python 环境的配置问题和 库的安装问题会出现很多报错 kali linux环境一般都自带git安装环境, 所以使用git 下载 w3af的源包比较容易 ,...
  • KALI安装w3af步骤

    2019-04-06 16:49:41
    git clone https://github.com/andresriancho/w3af.git cd w3af ./w3af_gui ./w3af_dependency_install.sh apt-get build-dep python-lxml
  • Kalilinux安装w3af

    2018-08-10 14:39:16
    w3af是一个Web应用程序×××和审计框架。该项目的目标是创建一个框架,通过查找和利用所有Web应用程序漏洞来帮助您保护Web应用程序github地址:https://github.com/andresriancho/w3af.git直接git clone ...
  • Kali 2.0安装w3af

    2019-11-18 15:09:44
    这玩意安装几次,每次下载都很头疼,这次简单记录下。 软件包下载链接:https://pan.baidu.com/s/1aXwFffj31XQBDuSuzAuMcQ 提取码:2j93 0x01安装过程 1.先换更新源。 #deb ...
  • kali安装软件出现下面的情况的解决方法 Running updmap-sys. This may take some time... done. Running mktexlsr /var/lib/texmf ... done. Building format(s) --all. This may take some time... done. 在处理时...
  • kali2.0下简介及安装W3af(亲试有效)

    千次阅读 2018-09-09 12:32:35
    如果只需要命令行应用程序,请安装w3af-console。该框架被称为“网络的metasploit”,但它实际上远不止于此,因为它还使用黑盒扫描技术发现了Web应用程序漏洞!w3af核心及其插件完全用Python编写。该项目有130多个...
  • 亲测kali2020下安装w3af

    千次阅读 2020-07-24 10:07:06
    w3af在kali2020下真心不好安装 一路坑坑拌伴 正常下载w3af,按要求解压在/root下 安装NPM包管理工具 apt install npm libyaml-dev libsqlite3-dev 补全python库环境 apt install python-dev build-essential libssl-...
  • centos7安装W3AF

    2019-08-06 09:56:03
    (转载,侵权删)http://webcache.googleusercontent.com/search?q=cache:17_WnxpLfVQJ:https://jhongguo.blogspot.com/2017/10/centos7-w3af.html&hl=zh-CN&strip=0&vwsrc=0
  • kali linux(全版本)详细安装w3af指南在网上搜索w3af安装指南的过程中,发现现有指南已经不适用于2018年之后的许多kali linux版本,因此在这里更新一下安装指南,为大家排坑的同时,抛砖迎玉,欢迎讨论。...
  • Linux系统安装w3af

    2016-04-10 11:58:00
    w3af这个工具是扫描网站漏洞,比如 SQL注入、盲注、本地\远程文件包含、跨站脚本攻击、跨站伪造请求等。 找了一些正规的工具定义介绍:w3af是一个Web应用安全的攻击、审计(分析)平台,通过增加插件来对功能进行...
  • Kali安装w3af详细教程

    千次阅读 2019-03-14 15:56:19
    参考:&...https://github.com/andresriancho/w3af/issues/15523 http://blog.csdn.net/ycl146/article/details/750415271 1、更新软件包sudo apt-get install upd...
  • kali_64安装w3af失败

    千次阅读 2018-05-21 19:48:21
    root@kali:~# apt-get install w3af Reading package lists… Done Building dependency tree Reading state information… Done Package w3af is not available, but is referred to by another pack...
  • 参考: https://github.com/andresriancho/w3af/issues/15523 http://blog.csdn.net/ycl146/article/details/750415271 1、更新软件包sudo apt-get install update12、进入安装目录cd /usr/local/src13、下载w3...
  • 【转】kali安装w3af

    2017-10-19 20:37:00
    https://github.com/andresriancho/w3af/issues/15523 http://blog.csdn.net/ycl146/article/details/75041527 转载于:https://www.cnblogs.com/litlife/p/7694970.html

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 12,797
精华内容 5,118
关键字:

安装w3af